explain_munmap_or_die(3)

NAME
explain_munmap_or_die - unmap a file or device from memory and report errors
    "unmap a file or device from memory and report errors"

SYNOPSIS
#include <libexplain/munmap.h>

void explain_munmap_or_die(void *data, size_t data_size);
int explain_munmap_on_error(void *data, size_t data_size);

DESCRIPTION
The explain_munmap_or_die function is used to call the munmap(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_munmap(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_munmap_on_error function is used to call the munmap(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_munmap(3) function, but still returns to the caller.

data
    The data, exactly as to be passed to the munmap(2) system call.

data_size
    The data_size, exactly as to be passed to the munmap(2) system call.

RETURN VALUE
The explain_munmap_or_die function only returns on success, see munmap(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_munmap_on_error function always returns the value return by the wrapped munmap(2) system call.

EXAMPLE
The explain_munmap_or_die function is intended to be used in a fashion similar to the following example:
    explain_munmap_or_die(data, data_size);

SEE ALSO

munmap(2)
    unmap a file or device from memory

explain_munmap(3)
    explain munmap(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.1
Copyright (C) 2010 Peter Miller